Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetIndexInfo

java.lang.Object
org.firebirdsql.jdbc.metadata.GetIndexInfo

public abstract sealed class GetIndexInfo extends Object
Provides the implementation of `DatabaseMetaData.getIndexInfo(String, String, String, boolean, boolean)`.

Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetIndexInfo`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getIndexInfo(String table, boolean unique, boolean approximate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getIndexInfo

public ResultSet getIndexInfo(String table, boolean unique, boolean approximate) throws SQLException

Throws:
  `SQLException`

### create

public static GetIndexInfo create(DbMetadataMediator mediator)